Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# ConfigVariableString Class Reference

This is a convenience class to specialize ConfigVariable as a string type. More...

Inheritance diagram for ConfigVariableString:

List of all members.

## Public Member Functions
| ConfigVariableString (string name)
| ConfigVariableString (string name, string default_value, string description, int flags)
| ConfigVariableString (string name, string default_value)
| ConfigVariableString (string name, string default_value, string description)
string | cStr ()
bool | empty ()
string | getDefaultValue ()
| Returns the variable's default value.
string | getValue ()
| Returns the variable's value.
string | getWord (int n)
| Returns the variable's nth value.
unsigned int | length ()
bool | operator!= (string other)
bool | operator< (string other)
ConfigVariableString | operator= (string value)
| Reassigns the variable's local value.
bool | operator== (string other)
char | operator[] (int n)
| setValue (string value)
| Reassigns the variable's local value.
| setWord (int n, string value)
| Reassigns the variable's nth value.

## Detailed Description

This is a convenience class to specialize ConfigVariable as a string type.

## Constructor & Destructor Documentation

ConfigVariableString | ( | string | name | ) |

ConfigVariableString | ( | string | name,
|  | string | default_value,
|  | string | description,
|  | int | flags
| ) |  |

ConfigVariableString | ( | string | name,
|  | string | default_value,
|  | string | description
| ) |  |

ConfigVariableString | ( | string | name,
|  | string | default_value
| ) |  |

## Member Function Documentation

string cStr | ( |  | ) |

bool empty | ( |  | ) |

string getDefaultValue | ( |  | ) |

Returns the variable's default value.

Reimplemented from ConfigVariable.

string getValue | ( |  | ) |

Returns the variable's value.

string getWord | ( | int | n | ) |

Returns the variable's nth value.

unsigned int length | ( |  | ) |

bool operator!= | ( | string | other | ) |

bool operator< | ( | string | other | ) |

ConfigVariableString operator= | ( | string | value | ) |

Reassigns the variable's local value.

bool operator== | ( | string | other | ) |

char operator[] | ( | int | n | ) |

setValue | ( | string | value | ) |

Reassigns the variable's local value.

setWord | ( | int | n,
|  | string | value
| ) |  |

Reassigns the variable's nth value.

This makes a local copy of the variable's overall value.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties